/***************************************************************************
 *   Copyright (C) 2010 by Volker Lanz <vl@fidra.de>                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *
 ***************************************************************************/

#include "config/generalpagewidget.h"

#include "util/helpers.h"

#include "veneer/settings.h"

#include <QButtonGroup>

GeneralPageWidget::GeneralPageWidget(QWidget* parent) :
	QWidget(parent),
	m_EnergyGroup(new QButtonGroup())
{
	setupUi(this);
	setupDialog();
}

void GeneralPageWidget::setupDialog()
{
	m_EnergyGroup->addButton(jouleRadio, 0);
	m_EnergyGroup->addButton(caloriesRadio, 1);
	m_EnergyGroup->button(Veneer::Settings::self()->energyUnit())->setChecked(true);

	heightCalcThresholdSpin->setValue(Veneer::Settings::self()->heightCalcThreshold());
	kmlExportPoints->setChecked(Veneer::Settings::self()->kmlExportPoints());
	kmlExportSummary->setChecked(Veneer::Settings::self()->kmlExportSummary());
}

void GeneralPageWidget::accept()
{
	Veneer::Settings::self()->setEnergyUnit(m_EnergyGroup->checkedId());
	Veneer::Settings::self()->setHeightCalcThreshold(heightCalcThresholdSpin->value());
	Veneer::Settings::self()->setKmlExportPoints(kmlExportPoints->isChecked());
	Veneer::Settings::self()->setKmlExportSummary(kmlExportSummary->isChecked());
}
